/* Last modified: January 20, 2015

*--------------------*
*      OVERVIEW      *
*--------------------*

This .do file calls all of the sub-files which prepare the data used in this study. 
Note that some of the "raw" data files are not included in this download. 
Links to download these (large) files are provided.

*--------------------*
*    INPUT FILES     *
*--------------------*

Packages needed: none

Files needed: 

cpiai.txt - from BLS - ftp://ftp.bls.gov/pub/special.requests/cpi/cpiai.txt
 
gsp_naics_all_C.csv - from BEA - http://www.bea.gov/regional/downloadzip.cfm

gsp_sic_all_C.csv - from BEA - http://www.bea.gov/regional/downloadzip.cfm
Note: From the BEA link, download the NAICS GDP and SIC GDP .zip files and extract these two.csv files.

la.data.2.AllStatesU.txt - from BLS - ftp://ftp.bls.gov/pub/time.series/la/la.data.2.AllStatesU
Note: From the BLS link, download and save as la.data.2.AllStatesU.txt

state-minimum-wage-changes.csv - prepared by authors - included

BDS:   bds_e_st_release.csv - from Census Bureau - http://www2.census.gov/ces/bds/estab/bds_e_st_release.csv

QCEW:  multiple, by year; pattern is `year'.q1-q4.singlefile.csv - from BLS - "singlefile" version for each year 1990-2012

QWI:  multiple, by state; pattern is qwi_`state'_wia_wib_naics3_all.csv - from Census Bureau (hosted at Cornell)
             r education: pattern is qwi_`state'_se_wib_naicssec_all.csv

NOTE: See the DataSources.txt file for more information

NOTE: Several of the called .do files also download supporting (state covariates) data from Census websites
      An active Internet connection is required to do this.

*/

*-----------------------*
*   CALL .DO FILES      *
*-----------------------*

* The order is important

set more off

clear all
do prepare_data_01_valuelabels.do
do prepare_data_02_cpi_deflator.do

clear all
do prepare_data_01_valuelabels.do
do prepare_data_03_minimum_wages.do

clear all
do prepare_data_01_valuelabels.do
do prepare_data_04_state_covariates.do

clear all
do prepare_data_01_valuelabels.do
do prepare_data_05_bds.do

clear all
do prepare_data_01_valuelabels.do
do prepare_data_06_qcew.do

clear all
do prepare_data_01_valuelabels.do
do prepare_data_07_qwi.do

clear all
do prepare_data_01_valuelabels.do
do prepare_data_08_qwi_educ.do
